import { AfterViewInit } from '@angular/core';
import { ElementRef, OnInit, Provider, Renderer2 } from '@angular/core';
import { CheckboxControlValueAccessor, ControlContainer, FormControl, FormControlDirective } from '@angular/forms';
export declare const PROVIDER_VALUE_ACCESSOR: Provider;
export declare class NgSwitchComponent extends CheckboxControlValueAccessor implements OnInit, AfterViewInit {
    private controlContainer;
    private renderer2;
    private elementRef;
    formControlDirective: FormControlDirective;
    checkboxRef: ElementRef<HTMLInputElement>;
    formControl: FormControl;
    formControlName: string;
    get control(): FormControl;
    id: string;
    readonly: boolean;
    indeterminate: boolean;
    required: boolean;
    type: 'checkbox' | 'button';
    constructor(controlContainer: ControlContainer, renderer2: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
